Package org.eclipse.team.core.importing.provisional

# Class BundleImporterDelegate

java.lang.Object
org.eclipse.team.core.importing.provisional.BundleImporterDelegate

All Implemented Interfaces:
  `IBundleImporterDelegate`

public abstract class BundleImporterDelegate extends Object implements IBundleImporterDelegate
Abstract implementation of `IBundleImporterDelegate`. It is recommended to subclass this class rather than implementing IBundleImporterDelegate directly when providing importer delegates.

EXPERIMENTAL. This interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the Team team.

Since:
  3.6

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ECLIPSE_SOURCE_REFERENCES`

## Constructor Summary

Constructors
Constructor
Description
`BundleImporterDelegate()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract RepositoryProviderType`
`getProviderType()`
`protected abstract Set`
`getSupportedValues()`
`IProject[]`
`performImport(ScmUrlImportDescription[] descriptions, IProgressMonitor monitor)`
Imports bundles into the workspace creating a project for each import description.
`ScmUrlImportDescription[]`
`validateImport(Map[] manifests)`
Returns an array of objects describing how each given bundle (manifest headers and values) can be imported into a workspace project.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ECLIPSE_SOURCE_REFERENCES

public static final String ECLIPSE_SOURCE_REFERENCES

See Also:
  - Constant Field Values

## Constructor Details

### BundleImporterDelegate

public BundleImporterDelegate()

## Method Details

### getSupportedValues

protected abstract Set getSupportedValues()

### getProviderType

protected abstract RepositoryProviderType getProviderType()

### validateImport

public ScmUrlImportDescription[] validateImport(Map[] manifests)
Description copied from interface: `IBundleImporterDelegate`
Returns an array of objects describing how each given bundle (manifest headers and values) can be imported into a workspace project. A `null` entry in the returned array indicates the corresponding bundle cannot be imported by this delegate.

Specified by:
  `validateImport` in interface `IBundleImporterDelegate`
Parameters:
  `manifests` - array of maps containing manifest headers and values of the associated bundles
Returns:
  array of bundle import descriptions that may contain `null` entries

### performImport

public IProject[] performImport(ScmUrlImportDescription[] descriptions, IProgressMonitor monitor) throws CoreException
Description copied from interface: `IBundleImporterDelegate`
Imports bundles into the workspace creating a project for each import description. Reports progress to the given monitor, if not `null`.

Specified by:
  `performImport` in interface `IBundleImporterDelegate`
Parameters:
  `descriptions` - description of bundles to import
  `monitor` - progress monitor or `null`
Returns:
  collection of projects created in the workspace or `null` if none
Throws:
  `CoreException` - if unable to import projects